=== aoa/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

include $(SND_TOPDIR)/alsa-kernel/aoa/Makefile

include $(SND_TOPDIR)/Rules.make
