=== debian/changelog ===
alsa-driver (1.0.25+dfsg-0ubuntu8) plucky; urgency=medium

  * Add Rules-Requires-Root: binary-targets (LP: #2106249)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 04 Apr 2025 17:44:28 +0200

alsa-driver (1.0.25+dfsg-0ubuntu7) hirsute; urgency=medium

  * Stop building the udeb on request.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 12:36:28 +0100

alsa-driver (1.0.25+dfsg-0ubuntu6) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:29:56 +0100

alsa-driver (1.0.25+dfsg-0ubuntu5) wily; urgency=medium

  * debian/control:
    - Depend on kmod instead of obsolete module-init-tools package

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 31 Jul 2015 15:36:44 +1200

alsa-driver (1.0.25+dfsg-0ubuntu4) raring; urgency=low

  * debian/control: Update Vcs-Bzr field
  * Mark alsa-base as Multi-Arch foreign

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 14 Feb 2013 09:16:50 +1100

alsa-driver (1.0.25+dfsg-0ubuntu3) quantal; urgency=low

  [ David Henningsson ]
  * alsa-base.apm, alsa-base.init: 
    Use correct paths to /usr/sbin/alsa and /usr/sbin/alsactl (LP: #1061719) 

  [ Adam Conrad ]
  * Fix the previous commit to reference /usr/sbin/alsactl and /sbin/alsa

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 07 Oct 2012 17:08:59 -0600

alsa-driver (1.0.25+dfsg-0ubuntu2) quantal; urgency=low

  * debian/control: Update Vcs-Bzr field
  * debian/rules: Ship alsa-info.sh, since we're going to use
    that in apport.

 -- David Henningsson <david.henningsson@canonical.com>  Mon, 21 May 2012 01:17:55 +0200

alsa-driver (1.0.25+dfsg-0ubuntu1) precise; urgency=low

  * New upstream release
  * Refreshed all patches.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 16 Feb 2012 13:51:48 +1100

alsa-driver (1.0.24+dfsg-0ubuntu3) precise; urgency=low

  - Luke Yelavich ]
  * debian/control: Update Vcs-Bzr field

  Cherry-pick a change from svn, currently unreleased

  [ Elimar Riesebieter ]
  * udev-related code removed from alsa-base.postinst (closes: #633294)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 18 Oct 2011 11:00:47 +1100
