=== debian/control ===
Source: alsa-driver
Section: sound
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Elimar Riesebieter <riesebie@lxtec.de>
Build-Depends-Indep: autoconf, bzip2, cpio
Build-Depends: debhelper (>= 7), po-debconf
Rules-Requires-Root: binary-targets
Standards-Version: 3.9.2
Homepage: http://www.alsa-project.org/
XS-Debian-Vcs-Svn: svn://svn.debian.org/pkg-alsa/trunk/alsa-driver
XS-Debian-Vcs-Browser: http://svn.debian.org/wsvn/pkg-alsa/trunk/alsa-driver/
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-audio-dev/alsa-driver/ubuntu

Package: linux-sound-base
Architecture: all
Depends: ${misc:Depends}, kmod (>= 17-1)
Suggests: alsa-base (>= 1.0.18-1)
Description: base package for ALSA and OSS sound systems
 This package allows the administrator to choose between
 the OSS and ALSA sound systems.
 .
 ALSA is the Advanced Linux Sound Architecture.
 OSS is the free version of the Open Sound System.

Package: alsa-base
Architecture: all
Provides: alsa
Multi-Arch: foreign
Depends: ${misc:Depends}, kmod (>= 17-1), linux-sound-base, udev
Recommends: alsa-utils
Suggests: apmd (>= 3.0.2-1), alsa-oss, oss-compat
Description: ALSA driver configuration files
 This package contains various configuration files for
 the ALSA drivers.
 .
 For ALSA to work on a system with a given sound card,
 there must be an ALSA driver for that card in the kernel.
 Linux 2.6 as shipped in linux-image packages contains
 ALSA drivers for all supported sound cards in the form
 of loadable modules. A custom alsa-modules package can
 be built from the sources in the alsa-source package
 using the m-a utility (included in the module-assistant
 package). Please read the README.Debian file for more
 information about loading and building modules.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: alsa-base-udeb
Architecture: all
Section: debian-installer
Provides: alsa
Depends: ${misc:Depends}
Recommends: alsa-utils
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: ALSA driver configuration files
 This package contains minimum configuration files for
 the ALSA drivers for the Debian Installer.

Package: alsa-source
Architecture: all
Section: kernel
Depends: ${misc:Depends}, make, gcc | c-compiler, dpkg-dev, debhelper (>= 5.0.37), debconf-utils, bzip2
Recommends: fakeroot, module-assistant, linux-headers
Suggests: kernel-package
Description: ALSA driver sources
 This package contains the source code for the ALSA drivers.
 The source code can be compiled into an alsa-modules package
 using the m-a utility (available in the module-assistant
 package). Please note that the kernel headers must be
 installed to compile these modules. Please read the
 README.Debian file for more information about loading and
 building modules.
 .
 ALSA is the Advanced Linux Sound Architecture.
